curl --compressed --request POST \
--url 'https://api.us.nylas.com/v3/calendars/availability' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <NYLAS_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"participants": [
{
"email": "[email protected]",
"calendar_ids": ["[email protected]"],
"open_hours": [{
"days": [0,1,2],
"timezone": "America/Toronto",
"start": "9:00",
"end": "17:00",
"exdates": []
}]
},
{
"email": "[email protected]",
}
],
"start_time": 1600890600,
"end_time": 1600999200,
"interval_minutes": 30,
"duration_minutes": 30,
"round_to": 15,
"availability_rules": {
"availability_method": "collective",
"buffer": {
"before": 15,
"after": 15
},
"default_open_hours": [
{
"days": [0,1,2],
"timezone": "America/Toronto",
"start": "9:00",
"end": "17:00",
"exdates": []
},
{
"days": [3,4,5],
"timezone": "America/Toronto",
"start": "10:00",
"end": "18:00",
"exdates": []
}
]
}
}'